Subject: bug#20291: png files don't display on emacs 24.4.1

From: Mario Valencia <[email-masked]>
Date: Fri, 10 Apr 2015 06:05:33 -0500

The zlib dll was the problem. I replaced it with the new version and it
worked properly. I probably copied it from the older emacs folder. Thank
you!

2015-04-10 5:53 GMT-05:00 Eli Zaretskii <[email-masked]>:

> > Date: Fri, 10 Apr 2015 05:32:49 -0500
> > From: Mario Valencia <[email-masked]>
> >
> > On the previous emacs 24.3 it png files display just fine with
> libpng14-14.dll.
> > On emacs 24.4.1 on windows 8, all png files give an error: "Cannot
> display
> > image: (Invalid image specification)". Other images, like jpg display
> fine. I
> > have this files in the emacs bin directory: (as you can see i have
> > libpng-16-16.dll)
>
> What does this produce:
>
>   M-: (image-type-available-p 'png) RET
>
> And what does this produce:
>
>   M-: libpng-version RET
>
> And finally, how about this one:
>
>   M-: dynamic-library-alist
>
> > -rw-rw-rw- 1 mario mario 72192 03-11 11:36 zlib1.dll
>
> This DLL's size is much smaller than what I have on my machine;
> perhaps this is your problem?  (libpng depends on zlib1.dll.)  Make
> sure you use the one that came with libpng.
>